/**
 * dquarks node form interface enhancments.
 */

Drupal.behaviors.dquarks = function(context) {
  // Apply special behaviors to fields with default values.
  Drupal.dquarks.defaultValues(context);
  // On click or change, make a parent radio button selected.
  Drupal.dquarks.setActive(context);
}

Drupal.dquarks = new Object();

Drupal.dquarks.defaultValues = function(context) {
  var $fields = $('.dquarks-default-value', context);
  var $forms = $('.dquarks-default-value', context).parents('form:first');
  $fields.each(function() {
    this.defaultValue = this.value;
    $(this).focus(function() {
      if (this.value == this.defaultValue) {
        this.value = '';
        $(this).removeClass('dquarks-default-value');
      }
    });
    $(this).blur(function() {
      if (this.value == '') {
        $(this).addClass('dquarks-default-value');
        this.value = this.defaultValue;
      }
    });
  });

  // Clear all the form elements before submission.
  $forms.submit(function() {
    $fields.focus();
  });
};

Drupal.dquarks.setActive = function(context) {
  var setActive = function(e) {
    $('.form-radio', $(this).parent().parent()).attr('checked', true);
    e.preventDefault();
  };
  $('.dquarks-set-active', context).click(setActive).change(setActive);
};
